net.sf.jasperreports.web.actions

## Class AbstractAction.ActionErrors

- java.lang.Object
- - net.sf.jasperreports.web.actions.AbstractAction.ActionErrors

- Enclosing class:
    AbstractAction

      public static class AbstractAction.ActionErrors
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAction.ActionErrors(MessageProvider messageProvider, java.util.Locale locale)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String messageKey)`
    `void` | `add(java.lang.String messageKey, java.lang.Object... args)`
    `void` | `addAndThrow(java.lang.String messageKey)`
    `void` | `addAndThrow(java.lang.String messageKey, java.lang.Object... args)`
    `boolean` | `isEmpty()`
    `void` | `throwAll()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAction.ActionErrors

          public AbstractAction.ActionErrors(MessageProvider messageProvider,
                                     java.util.Locale locale)

  - ### Method Detail

    - #### add

          public void add(java.lang.String messageKey,
                 java.lang.Object... args)

    - #### add

          public void add(java.lang.String messageKey)

    - #### addAndThrow

          public void addAndThrow(java.lang.String messageKey,
                         java.lang.Object... args)
                           throws ActionException

      Throws:
        `ActionException`

    - #### addAndThrow

          public void addAndThrow(java.lang.String messageKey)
                           throws ActionException

      Throws:
        `ActionException`

    - #### isEmpty

          public boolean isEmpty()

    - #### throwAll

          public void throwAll()
                        throws ActionException

      Throws:
        `ActionException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com